import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (l, e, i, r) => {
  for (var t = r > 1 ? void 0 : r ? m(e, i) : e, o = l.length - 1, a; o >= 0; o--)
    (a = l[o]) && (t = (r ? a(e, i, t) : a(t)) || t);
  return r && t && u(e, i, t), t;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--austria", this.class = "c-pieIcon c-pieIcon--austria", this.name = "IconFlagAustria";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--austria"><path fill="#EEE" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#D80027" d="M8 1a7 7 0 0 0-6.563 4.566h13.126A7 7 0 0 0 8 1Z"></path><path fill="#D80027" d="M8 15a7 7 0 0 0 6.563-4.566H1.437A7 7 0 0 0 8 15Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-flag-austria")
], s);
export {
  s as IconFlagAustria
};
